Create or update a full Google Ads campaign structure

http
PUT https://services.leadconnectorhq.com/ad-publishing/google/ads

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
idstringNoCampaign identifier
namestringYesMy CampaignCampaign name
locationIdstringYesloc_abc123Account identifier
advertisingChannelTypestringYesAdvertising channel Possible values: 'SEARCH', 'DISCOVERY', 'DISPLAY', 'HOTEL', 'LOCAL', 'MULTI_CHANNEL', 'PERFORMANCE_MAX', 'DEMAND_GEN'
advertisingChannelSubTypestringNoChannel sub type Possible values: 'DEMAND_GEN'
goalTypestringNoGoal type Possible values: 'WEBSITE_TRAFFIC', 'LEAD'
budgetobjectNoCampaign budget
audienceobjectNoCampaign audience targeting
networkSettingsobjectNoNetwork settings
biddingStrategyobjectNoBidding strategy config
assetsobjectNoCampaign assets
isEuPoliticalAdsbooleanNoFalseEU political ads flag
  • adGroups (object[]): Campaign ad groups

    • id (string): Ad group identifier

    • adGroupId (string): Google ad group identifier

    • name (string): Ad group name Example: Ad Group 1

    • adCampaignId (string): Ad campaign identifier

    • adContent (object[]): Ad content items

      • id (string): Ad identifier

      • name (string): Ad name

      • mediaType (string): Media type Possible values: 'IMAGE', 'VIDEO', 'CAROUSEL'

      • headlines (string[]): Ad headlines

      • longHeadlines (string[]): Long headlines

      • descriptions (string[]): Ad descriptions

      • finalUrl (string): Final URL Example: https://example.com

      • path1 (string): Display path 1 Example: products

      • path2 (string): Display path 2 Example: deals

      • isDeleted (boolean): Whether the ad is soft-deleted

      • adError (string): Ad-level error message from Google

      • publishingStatus (string): Ad publishing status Possible values: 'DRAFT', 'SCHEDULED', 'PUBLISHED', 'PUBLISHING', 'FAILED', 'IN_REVIEW', 'PAUSED', 'ARCHIVED', 'WITH_ISSUES', 'REJECTED'

      • adId (string): Internal ad identifier

      • adCampaignId (string): Ad campaign identifier

      • adGroupId (string): Ad group identifier

      • googleAdId (string): Google Ads ad resource ID

      • media (object[]): Ad media items

        • type (string): Media type Possible values: 'IMAGE'

        • src (string): Media source URL Example: https://example.com/image.jpg

        • isLogo (boolean): Is logo flag Example: False

        • error (string): Error message if media failed

        • url (string): Public URL of the media

        • imageType (string): Image type classification

      • callToActionLabel (string): Call to action label Possible values: 'AUTOMATED', 'LEARN_MORE', 'GET_QUOTE', 'APPLY_NOW', 'SIGN_UP', 'CONTACT_US', 'SUBSCRIBE', 'DOWNLOAD', 'BOOK_NOW', 'SHOP_NOW', 'BUY_NOW', 'DONATE_NOW', 'ORDER_NOW', 'PLAY_NOW', 'SEE_MORE'

      • businessName (string): Business name Example: Acme Corp

      • youtubeVideoLinks (object[]): YouTube video links

        • youtubeVideoId (string, required): YouTube video ID

      • carouselCards (object[]): Carousel cards

        • headline (string): Card headline Example: Shop Now

        • finalUrl (string): Card final URL Example: https://example.com

        • callToActionLabel (string): Call to action label

        • media (object[]): Card media items

          • type (string): Media type Possible values: 'IMAGE'

          • src (string): Media source URL Example: https://example.com/image.jpg

          • isLogo (boolean): Is logo flag Example: False

          • error (string): Error message if media failed

          • url (string): Public URL of the media

          • imageType (string): Image type classification

      • placements (string[]): Channel placements

      • customChannels (boolean): Custom channels flag

    • keywords (object): Keyword targeting

    • publishingStatus (string): Ad group publishing status Possible values: 'DRAFT', 'SCHEDULED', 'PUBLISHED', 'PUBLISHING', 'FAILED', 'IN_REVIEW', 'PAUSED', 'ARCHIVED', 'WITH_ISSUES', 'REJECTED'

    • adGroupError (string): Ad group-level error from Google

    • googleAdGroupId (string): Google Ads ad group resource ID

    • customChannels (boolean): Custom channels flag

    • selectedChannels (string[]): Selected channel placements

    • googleAudienceId (string): Google audience resource ID

    • audience (object): Ad group audience targeting

NameTypeRequiredExampleDescription
campaignGoalobjectNoCampaign goal config
  • adSchedule (object[]): Ad schedule rules

    • dayOfWeek (string, required): Day of week Possible values: 'FRIDAY', 'MONDAY', 'SATURDAY', 'SUNDAY', 'THURSDAY', 'TUESDAY', 'UNKNOWN', 'UNSPECIFIED', 'WEDNESDAY', 'ALL_DAYS', 'MONDAY_TO_FRIDAY', 'SATURDAY_AND_SUNDAY'

    • from (string, required): Start time (HH:MM) Example: 09:00

    • to (string, required): End time (HH:MM) Example: 17:00

NameTypeRequiredExampleDescription
publishingStatusstringNoPublishing status Possible values: 'DRAFT', 'SCHEDULED', 'PUBLISHED', 'PUBLISHING', 'FAILED', 'IN_REVIEW', 'PAUSED', 'ARCHIVED', 'WITH_ISSUES', 'REJECTED'
googleAdAccountIdstringNoGoogle Ad account identifier
unpublishedChangesbooleanNoWhether the campaign has unpublished changes
maximumCpcnumberNoMaximum CPC bid in micros
googleCampaignIdstringNoGoogle Ads campaign resource ID
sourcestringNoWEBSITETraffic source
advancedOptionsobjectNoAdvanced options

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/google/ads' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "string",
  "name": "My Campaign",
  "locationId": "loc_abc123",
  "advertisingChannelType": "SEARCH",
  "advertisingChannelSubType": "DEMAND_GEN",
  "goalType": "WEBSITE_TRAFFIC",
  "isEuPoliticalAds": false,
  "adGroups": [
    {
      "id": "string",
      "adGroupId": "string",
      "name": "Ad Group 1",
      "adCampaignId": "string",
      "adContent": [
        {}
      ],
      "publishingStatus": "DRAFT",
      "adGroupError": "string",
      "googleAdGroupId": "string",
      "customChannels": true,
      "selectedChannels": [
        "GMAIL"
      ],
      "googleAudienceId": "string"
    }
  ],
  "adSchedule": [
    {
      "dayOfWeek": "FRIDAY",
      "from": "09:00",
      "to": "17:00"
    }
  ],
  "publishingStatus": "DRAFT",
  "googleAdAccountId": "string",
  "unpublishedChanges": true,
  "maximumCpc": 0,
  "googleCampaignId": "string",
  "source": "WEBSITE",
  "advancedOptions": {}
}'

Last updated October 26, 2026

Was this page helpful?